Package org.w3c.tidy

# Class DOMNodeListImpl

java.lang.Object
org.w3c.tidy.DOMNodeListImpl

All Implemented Interfaces:
  `NodeList`

public class DOMNodeListImpl extends Object implements NodeList
DOMNodeListImpl. The items in the `NodeList` are accessible via an integral index, starting from 0.

Version:
  $Revision: 738 $ ($Author: fgiust $)
Author:
  Dave Raggett dsr@w3.org , Andy Quick ac.quick@sympatico.ca (translation to Java), Fabrizio Giustina

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`DOMNodeListImpl(Node parent)`
Instantiates a new DOM node list.

## Method Summary

Modifier and Type
Method
Description
`int`
`getLength()`
`Node`
`item(int index)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DOMNodeListImpl

protected DOMNodeListImpl(Node parent)
Instantiates a new DOM node list.

Parameters:
  `parent` - parent Node

## Method Details

### item

public Node item(int index)

Specified by:
  `item` in interface `NodeList`
See Also:
  - `NodeList.item(int)`

### getLength

public int getLength()

Specified by:
  `getLength` in interface `NodeList`
See Also:
  - `NodeList.getLength()`